Bug 615001 - [abrt] crash in system-config-kdump-2.0.4-2.fc13: system-config-kdump-backend.py:105:set_bootloader:UnboundLocalError: local variable 'bootloader' referenced before assignment
[abrt] crash in system-config-kdump-2.0.4-2.fc13: system-config-kdump-backend...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-kdump (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
abrt_hash:42c932a0
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 14:33 EDT by Michael Keane
Modified: 2014-01-12 19:12 EST (History)
2 users (show)

See Also:
Fixed In Version: system-config-kdump-2.0.4-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-08 21:19:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (894 bytes, text/plain)
2010-07-15 14:33 EDT, Michael Keane
no flags Details

  None (edit)
Description Michael Keane 2010-07-15 14:33:08 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/share/system-config-kdump/system-config-kdump-backend.py
component: system-config-kdump
executable: /usr/share/system-config-kdump/system-config-kdump-backend.py
kernel: 2.6.33.6-147.fc13.i686
package: system-config-kdump-2.0.4-2.fc13
reason: system-config-kdump-backend.py:105:set_bootloader:UnboundLocalError: local variable 'bootloader' referenced before assignment
release: Fedora release 13 (Goddard)

backtrace
-----
system-config-kdump-backend.py:105:set_bootloader:UnboundLocalError: local variable 'bootloader' referenced before assignment

Traceback (most recent call last):
  File "/usr/share/system-config-kdump/system-config-kdump-backend.py", line 158, in <module>
    OBJECT = SystemConfigKdumpObject (BUS, '/org/fedoraproject/systemconfig/kdump/object')
  File "/usr/share/system-config-kdump/system-config-kdump-backend.py", line 32, in __init__
    self.bootloader = self.set_bootloader()
  File "/usr/share/system-config-kdump/system-config-kdump-backend.py", line 105, in set_bootloader
    if bootloader is None:
UnboundLocalError: local variable 'bootloader' referenced before assignment

Local variables in innermost frame:
self: <__main__.SystemConfigKdumpObject at /org/fedoraproject/systemconfig/kdump/object at 0x94210ec>
kpath: '/boot'
name: 'grub'
conf: '/boot/grub/grub.conf'
offset: 16

How to reproduce
-----
1. execute system-config-kdump
Comment 1 Michael Keane 2010-07-15 14:33:10 EDT
Created attachment 432192 [details]
File: backtrace
Comment 2 Fedora Update System 2010-07-23 09:50:01 EDT
system-config-kdump-2.0.4-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/system-config-kdump-2.0.4-4.fc13
Comment 3 Fedora Update System 2010-07-26 22:35:53 EDT
system-config-kdump-2.0.4-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-kdump'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-kdump-2.0.4-4.fc13
Comment 4 Fedora Update System 2010-09-08 21:19:01 EDT
system-config-kdump-2.0.4-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.